Create Inventory Adjustment
Creates an Inventory Adjustment in Centelar.
POST /api/v2.1/inventory_adjustment
Request Parameters
The request must include the connection_id parameter in the url
| Name | Type | Description |
|---|---|---|
connection_id |
integer |
Required. Id of the ecommerce integration in Centelar |
Request Body
The request must send a json body following the structure below.
| Name | Type | Description |
|---|---|---|
items |
array of Item |
|
reason |
string |
|
from_location_id |
integer |
|
to_location_id |
integer |
|
from_location_name |
string |
|
to_location_name |
string |
|
from_state |
string |
Valid options are: disponible, reservado, entregado |
to_state |
string |
Valid options are: disponible, reservado, entregado |
from_channel |
string |
|
to_channel |
string |
|
notes |
array of string |
Structure of a Item object
| Name | Type | Description |
|---|---|---|
code |
string |
Required. Product code in Centelar |
quantity |
integer |
Required. How many of this product were sold |
location_id |
integer |
Source location of the stock (by id) |
location_name |
string |
Source location name, if location_id is not passed |
Response Sample
Status: 200 OK